Bug 112688 - Postal2 demo: [drm:radeon_freelist_get] *ERROR* returning NULL!
Postal2 demo: [drm:radeon_freelist_get] *ERROR* returning NULL!
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-28 03:40 EST by Colin
Modified: 2007-04-18 13:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Colin 2003-12-28 03:40:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5a)
Gecko/20030802 Mozilla Firebird/0.6.1

Description of problem:
Game start-up menu comes up fine.  When selecting "new game", the
loading screen appears, and seems to load (the load bar runs up to
100%).  The sounds change, like the game is starting, then nothing.
Machine is locked up and cannot be accessed - not even through the
network.

stderr says:
Xlib:  extension "XiG-SUNDRY-NONSTANDARD" missing on display ":0.0".
r200_makeX86Normal3fv/197 CVAL 0 OFFSET 14 VAL d2dbb4c
r200_makeX86Normal3fv/198 CVAL 4 OFFSET 20 VAL d2dbb50
r200_makeX86Normal3fv/199 CVAL 8 OFFSET 25 VAL d2dbb54
r200_makeX86Normal3fv done

Here's what the kernel has to say about it in syslog:
Dec 28 00:32:24 godzilla kernel: [drm:radeon_freelist_get] *ERROR* 
returning NULL!

The vid card is an ATI Radeon 9000 PRO VIVO 128MB.  Other GL stuff runs 
fine.

Posted this as a bug-report to the developer of the Linux version of
this game.  His opinion is that this is a video driver issue

Version-Release number of selected component (if applicable):
kernel-2.4.20-27.9.i686

How reproducible:
Always

Steps to Reproduce:
1. Run postal2mpdemo
2. Select "New Game"
3. Wait
    

Actual Results:  Once the game loading screen completes, the music
changes to what sounds like in-game sounds, the screen goes black, the
sounds stop, the machine is dead.  Hard reboot must be performed to
recover.  Keyboard does not respond (not even Num/Caps Lock).

Expected Results:  The game should run.

Additional info:

XFree86 log has no messages after the X server start-up.

All packages are up to date on this machine.
Comment 1 Colin 2004-01-12 16:44:14 EST
kernel updated to 2.4.20-28.9, problem persists.
Comment 2 Colin 2004-01-31 05:22:42 EST
Unreal Tournament 2003 demo also causes the same error message and
lock-up when attempting to commence the game from the game's main menu.
Comment 3 Colin 2004-01-31 05:24:36 EST
Changed Summary line to be more representative of the problem.  Is
anybody looking at this?
Comment 4 Bugzilla owner 2004-09-30 11:41:45 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.